<?php
add_action('after_setup_theme', 'dynamic_bunch_theme_setup');
function dynamic_bunch_theme_setup()
{
	global $wp_version;
	if(!defined('DYNAMIC_VERSION')) define('DYNAMIC_VERSION', '1.0');
	if( !defined( 'DYNAMIC_ROOT' ) ) define('DYNAMIC_ROOT', get_template_directory().'/');
	if( !defined( 'DYNAMIC_URL' ) ) define('DYNAMIC_URL', get_template_directory_uri().'/');
	if( !defined( 'KC_LICENSE' ) ) define('KC_LICENSE', 'l483kg4m-jxbv-ju7k-or7h-yhgd-q3jl1ec3fqyi');	
	include_once get_template_directory() . '/includes/loader.php';
	
	
	load_theme_textdomain('dynamic', get_template_directory() . '/languages');
	
	//ADD THUMBNAIL SUPPORT
	add_theme_support('post-thumbnails');
	add_theme_support('woocommerce');
	add_theme_support('automatic-feed-links'); //Enables post and comment RSS feed links to head.
	add_theme_support('widgets'); //Add widgets and sidebar support
	add_theme_support( "title-tag" );
	add_theme_support( 'wp-block-styles' );
	add_theme_support( 'align-wide' );
	add_theme_support( 'editor-styles' );
	/*
	 * Switch default core markup for search form, comment form, and comments
	 * to output valid HTML5.
	 */
	add_theme_support( 'html5', array(
		'search-form', 'comment-form', 'comment-list', 'gallery', 'caption'
	) );
	/** Register wp_nav_menus */
	if(function_exists('register_nav_menu'))
	{
		register_nav_menus(
			array(
				/** Register Main Menu location header */
				'main_menu' => esc_html__('Main Menu', 'dynamic'),
			)
		);
	}
	if ( ! isset( $content_width ) ) $content_width = 960;
	add_image_size( 'dynamic_370x220', 370, 220, true ); // '370x220 Gallery'
	add_image_size( 'dynamic_480x424', 480, 424, true ); // '480x424 project Gallery'
	add_image_size( 'dynamic_270x270', 270, 270, true ); // '270x270 Our project'
	add_image_size( 'dynamic_770x320', 770, 370, true ); // '770x320 project Masonry'
	add_image_size( 'dynamic_370x670', 370, 670, true ); // '370x670 project Masonry'
	add_image_size( 'dynamic_370x320', 370, 320, true ); // '370x320 project Masonry'
	add_image_size( 'dynamic_270x240', 270, 240, true ); // '270x240 Blog List View'
	add_image_size( 'dynamic_230x200', 230, 200, true ); // '230x200 Blog Grid View Sidebar'
	add_image_size( 'dynamic_270x240', 270, 240, true ); // '270x240 Team Grid View'
	add_image_size( 'dynamic_1130x660', 1130, 660, true ); // '1130x660 Default Blog'
	add_image_size( 'dynamic_84x83', 84, 83, true ); // '84x83 Widget Recent Projects'
	
}

function dynamic_gutenberg_editor_palette_styles() {
    add_theme_support( 'editor-color-palette', array(
        array(
            'name' => esc_html__( 'strong yellow', 'dynamic' ),
            'slug' => 'strong-yellow',
            'color' => '#f7bd00',
        ),
        array(
            'name' => esc_html__( 'strong white', 'dynamic' ),
            'slug' => 'strong-white',
            'color' => '#fff',
        ),
		array(
            'name' => esc_html__( 'light black', 'dynamic' ),
            'slug' => 'light-black',
            'color' => '#242424',
        ),
        array(
            'name' => esc_html__( 'very light gray', 'dynamic' ),
            'slug' => 'very-light-gray',
            'color' => '#797979',
        ),
        array(
            'name' => esc_html__( 'very dark black', 'dynamic' ),
            'slug' => 'very-dark-black',
            'color' => '#000000',
        ),
    ) );
	
	add_theme_support( 'editor-font-sizes', array(
		array(
			'name' => esc_html__( 'Small', 'dynamic' ),
			'size' => 10,
			'slug' => 'small'
		),
		array(
			'name' => esc_html__( 'Normal', 'dynamic' ),
			'size' => 15,
			'slug' => 'normal'
		),
		array(
			'name' => esc_html__( 'Large', 'dynamic' ),
			'size' => 24,
			'slug' => 'large'
		),
		array(
			'name' => esc_html__( 'Huge', 'dynamic' ),
			'size' => 36,
			'slug' => 'huge'
		)
	) );
	
}
add_action( 'after_setup_theme', 'dynamic_gutenberg_editor_palette_styles' );

function dynamic_bunch_widget_init()
{
	global $wp_registered_sidebars;
	$theme_options = _WSH()->option();
	register_sidebar(array(
	  'name' => esc_html__( 'Default Sidebar', 'dynamic' ),
	  'id' => 'default-sidebar',
	  'description' => esc_html__( 'Widgets in this area will be shown on the right-hand side.', 'dynamic' ),
	  'before_widget'=>'<div id="%1$s" class="widget sidebar-widget %2$s">',
	  'after_widget'=>'</div>',
	  'before_title' => '<div class="theme_title"><h4>',
	  'after_title' => '</h4></div>'
	));
	register_sidebar(array(
	  'name' => esc_html__( 'Footer Sidebar', 'dynamic' ),
	  'id' => 'footer-sidebar',
	  'description' => esc_html__( 'Widgets in this area will be shown in Footer Area.', 'dynamic' ),
	  'before_widget'=>'<div id="%1$s"  class="col-lg-3 col-md-6 col-sm-6 col-xs-12 footer-widget %2$s">',
	  'after_widget'=>'</div>',
	  'before_title' => '<h5>',
	  'after_title' => '</h5>'
	));
	
	register_sidebar(array(
	  'name' => esc_html__( 'Blog Listing', 'dynamic' ),
	  'id' => 'blog-sidebar',
	  'description' => esc_html__( 'Widgets in this area will be shown on the right-hand side.', 'dynamic' ),
	  'before_widget'=>'<div id="%1$s" class="widget sidebar-widget %2$s">',
	  'after_widget'=>'</div>',
	  'before_title' => '<div class="theme_title"><h4>',
	  'after_title' => '</h3></div>'
	));
	if( !is_object( _WSH() )  )  return;
	$sidebars = dynamic_set(dynamic_set( $theme_options, 'dynamic_sidebar' ) , 'dynamic_sidebar' ); 
	foreach( array_filter((array)$sidebars) as $sidebar)
	{
		if(dynamic_set($sidebar , 'topcopy')) continue ;
		
		$name = dynamic_set( $sidebar, 'sidebar_name' );
		
		if( ! $name ) continue;
		$slug = dynamic_bunch_slug( $name ) ;
		
		register_sidebar( array(
			'name' => $name,
			'id' =>  sanitize_title( $slug ),
			'before_widget' => '<div id="%1$s" class="side_bar %2$s">',
			'after_widget' => "</div>",
			'before_title' => '<div class="theme_title"><h4>',
			'after_title' => '</h4></div>',
		) );		
	}
	
	update_option('wp_registered_sidebars' , $wp_registered_sidebars) ;
}
add_action( 'widgets_init', 'dynamic_bunch_widget_init' );
// Update items in cart via AJAX
add_filter('woocommerce_add_to_cart_fragments', 'dynamic_bunch_woo_add_to_cart_ajax');
function dynamic_bunch_woo_add_to_cart_ajax( $fragments ) {
    
	global $woocommerce;
    ob_start();
	
	get_template_part('includes/modules/wc_cart' );
	
	$fragments['li.wc-header-cart'] = ob_get_clean();
	
    return $fragments;
}
add_filter( 'woocommerce_enqueue_styles', '__return_false' );
function dynamic_bunch_animate_it( $atts, $contents = null )
{
	return get_template_part( 'includes/modules/shortcodes/animate_it' );
}
function dynamic_load_head_scripts() {
    $options = _WSH()->option();
	if ( !is_admin() ) {
	$protocol = is_ssl() ? 'https://' : 'http://';
	if( dynamic_set($options, 'map_api_key') ){
	$map_path = '?key='.dynamic_set($options, 'map_api_key');
	wp_enqueue_script( 'dynamic-map-api', $protocol.'maps.google.com/maps/api/js'.$map_path, array(), false, false );
	wp_enqueue_script( 'jquery-googlemap', get_template_directory_uri().'/js/map-script.js', array(), false, false );
	}
	}
    }
    add_action( 'wp_enqueue_scripts', 'dynamic_load_head_scripts' );
//global variables
function dynamic_bunch_global_variable() {
    global $wp_query;
}

function dynamic_enqueue_scripts() {
	$theme_options = _WSH()->option();
	$options = _WSH()->option();
	$maincolor = str_replace( '#', '' , dynamic_set( $theme_options, 'main_color_scheme', '#24bbd0' ) );
    //styles
	wp_enqueue_style( 'bootstrap', get_template_directory_uri() . '/vendor/bootstrap/bootstrap.css' );
	wp_enqueue_style( 'montserrat-styles', get_template_directory_uri() . '/fonts/montserrat/montserrat-bold/styles.css' );
	wp_enqueue_style( 'fontawesom', get_template_directory_uri() . '/css/font-awesome.min.css' );
	wp_enqueue_style( 'flaticon', get_template_directory_uri() . '/css/flaticon.css' );
	wp_enqueue_style( 'owl-carousel', get_template_directory_uri() . '/vendor/owl-carousel/owl.carousel.css' );
	wp_enqueue_style( 'owl-theme', get_template_directory_uri() . '/vendor/owl-carousel/owl.theme.css' );
	wp_enqueue_style( 'jquery-ui', get_template_directory_uri() . '/vendor/jquery-ui/jquery-ui.css' );
	wp_enqueue_style( 'menuzord', get_template_directory_uri() . '/vendor/responsivemenu/files/css/menuzord.css' );
	wp_enqueue_style( 'menuzord-animations', get_template_directory_uri() . '/vendor/responsivemenu/files/css/menuzord-animations.css' );
	wp_enqueue_style( 'fancybox', get_template_directory_uri() . '/vendor/fancy-box/jquery.fancybox.css' );
	wp_enqueue_style( 'animate', get_template_directory_uri() . '/vendor/WOW-master/css/libs/animate.css' );
	wp_enqueue_style( 'dynamic-main-style', get_stylesheet_uri() );
	if(class_exists('woocommerce')) wp_enqueue_style( 'woocommerce', get_template_directory_uri() . '/css/woocommerce.css' );
	wp_enqueue_style( 'dynamic-custom-style', get_template_directory_uri() . '/css/custom.css' );
	wp_enqueue_style( 'dynamic-tut-style', get_template_directory_uri() . '/css/tut.css' );
	wp_enqueue_style( 'dynamic-gutenberg-style', get_template_directory_uri() . '/css/gutenberg.css' );
	wp_enqueue_style( 'dynamic-responsive', get_template_directory_uri() . '/css/responsive.css' );
	wp_enqueue_style( 'dynamic-main-color', get_template_directory_uri() . '/css/color.php?main_color='.$maincolor );
	wp_enqueue_style( 'dynamic-color-panel', get_template_directory_uri() . '/css/color-panel.css' );
	
	
    //scripts
	wp_enqueue_script( 'jquery-ui-core');
	wp_enqueue_script( 'bootstrap', get_template_directory_uri().'/vendor/bootstrap/bootstrap.min.js', array(), false, true );
	if( dynamic_set($options, 'map_api_key') ){
	wp_enqueue_script( 'gmap', get_template_directory_uri().'/vendor/gmap.js', array(), false, true );}
	wp_enqueue_script( 'owl-carousel', get_template_directory_uri().'/vendor/owl-carousel/owl.carousel.min.js', array(), false, true );
	wp_enqueue_script( 'jquery-ui', get_template_directory_uri().'/vendor/jquery-ui/jquery-ui.min.js', array(), false, true );
	wp_enqueue_script( 'menuzord', get_template_directory_uri().'/vendor/responsivemenu/files/js/menuzord.js', array(), false, true );
	wp_enqueue_script( 'fancybox-pack', get_template_directory_uri().'/vendor/fancy-box/jquery.fancybox.pack.js', array(), false, true );
	wp_enqueue_script( 'mixitup', get_template_directory_uri().'/vendor/jquery.mixitup.min.js', array(), false, true );
	wp_enqueue_script( 'isotope', get_template_directory_uri().'/vendor/isotope.pkgd.min.js', array(), false, true );
	wp_enqueue_script( 'jquery-appear', get_template_directory_uri().'/vendor/jquery.appear.js', array(), false, true );
	wp_enqueue_script( 'jquery-countTo', get_template_directory_uri().'/vendor/jquery.countTo.js', array(), false, true );
	wp_enqueue_script( 'jquery-canvasjs', get_template_directory_uri().'/vendor/canvasjs/jquery.canvasjs.min.js', array(), false, true );
	wp_enqueue_script( 'Chart', get_template_directory_uri().'/vendor/chartjs/dist/Chart.min.js', array(), false, true );
	wp_enqueue_script( 'jquery-form', get_template_directory_uri().'/vendor/contact-form/jquery.form.js', array(), false, true );
	wp_enqueue_script( 'wow', get_template_directory_uri().'/vendor/WOW-master/dist/wow.min.js', array(), false, true );
	wp_enqueue_script( 'dynamic-main-script', get_template_directory_uri().'/js/theme.js', array(), false, true );
	if( is_singular() ) wp_enqueue_script('comment-reply');
	
}
add_action( 'wp_enqueue_scripts', 'dynamic_enqueue_scripts' );

/*-------------------------------------------------------------*/
function dynamic_theme_slug_fonts_url() {
    $fonts_url = '';
 
    /* Translators: If there are characters in your language that are not
    * supported by Lora, translate this to 'off'. Do not translate
    * into your own language.
    */
    $open_sans = _x( 'on', 'Open Sans font: on or off', 'dynamic' );
	$montserrat = _x( 'on', 'Montserrat font: on or off', 'dynamic' );
	$raleway = _x( 'on', 'Raleway font: on or off', 'dynamic' );
	
    /* Translators: If there are characters in your language that are not
    * supported by Open Sans, translate this to 'off'. Do not translate
    * into your own language.
    */
    $open_sans = _x( 'on', 'Open Sans font: on or off', 'dynamic' );
 
    if ( 'off' !== $open_sans || 'off' !== $montserrat || 'off' !== $raleway ) {
        $font_families = array();
		
		if ( 'off' !== $montserrat ) {
            $font_families[] = 'Montserrat:400,700';
        }
		
		if ( 'off' !== $open_sans ) {
            $font_families[] = 'Open Sans:400,300,300italic,400italic,600,600italic,700,700italic';
        }
		
		if ( 'off' !== $raleway ) {
            $font_families[] = 'Raleway:400,600,600italic,700,700italic,400italic,300,500';
        }
 
        $query_args = array(
            'family' => urlencode( implode( '|', $font_families ) ),
            'subset' => urlencode( 'latin,latin-ext' ),
        );
 
        $fonts_url = add_query_arg( $query_args, 'https://fonts.googleapis.com/css' );
    }
 
    return esc_url_raw( $fonts_url );
}
function dynamic_theme_slug_scripts_styles() {
    wp_enqueue_style( 'dynamic-theme-slug-fonts', dynamic_theme_slug_fonts_url(), array(), null );
}
add_action( 'wp_enqueue_scripts', 'dynamic_theme_slug_scripts_styles' );
/*---------------------------------------------------------------------*/
function dynamic_add_editor_styles() {
    add_editor_style( 'editor-style.css' );
}
add_action( 'admin_init', 'dynamic_add_editor_styles' );
/**
 * WooCommerce Extra Feature
 * --------------------------
 *
 * Change number of related products on product page
 * Set your own value for 'posts_per_page'
 *
 */ 
function dynamic_woo_related_products_limit() {
  global $product;
	
	$args['posts_per_page'] = 6;
	return $args;
}
add_filter( 'woocommerce_output_related_products_args', 'jk_related_products_args' );
  function jk_related_products_args( $args ) {
	$args['posts_per_page'] = 3; // 4 related products
	$args['columns'] = 3; // arranged in 2 columns
	return $args;
}